<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingStart="11dp"
    android:paddingEnd="11dp">

    <TextView
        android:id="@+id/tv_tag"
        android:layout_width="30dp"
        android:layout_height="17dp"
        android:layout_marginTop="17dp"
        android:background="@drawable/shape_01b84f_border"
        android:gravity="center"
        android:text="免费"
        android:textSize="@dimen/sp_10"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxWidth="129dp"
        android:lines="1"
        android:paddingStart="6dp"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_16"
        app:layout_constraintBottom_toBottomOf="@+id/tv_tag"
        app:layout_constraintLeft_toRightOf="@+id/tv_tag"
        app:layout_constraintRight_toLeftOf="@+id/tv_author"
        app:layout_constraintTop_toTopOf="@+id/tv_tag"
        tools:text="维瓦尔第 E第一维瓦尔第维瓦尔第维瓦尔第" />

    <TextView
        android:id="@+id/tv_author"
        android:layout_width="68dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="25dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:paddingStart="6dp"
        android:lines="1"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/tv_name"
        app:layout_constraintLeft_toRightOf="@+id/tv_name"
        app:layout_constraintTop_toTopOf="@+id/tv_name"
        tools:text="-维瓦尔第…维瓦尔第维瓦尔第" />

    <ImageView
        android:id="@+id/iv_play"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="14dp"
        android:src="@drawable/icon_music_sheet_play"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/tv_upload_author"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="25dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintLeft_toLeftOf="@+id/tv_tag"
        app:layout_constraintTop_toBottomOf="@+id/tv_name"
        tools:text="上传者：一把剑走天涯" />

    <LinearLayout
        android:layout_marginStart="12dp"
        android:id="@+id/ll_music_subject"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@+id/tv_upload_author"
        app:layout_constraintLeft_toRightOf="@+id/tv_upload_author"
        app:layout_constraintRight_toLeftOf="@+id/iv_play"
        app:layout_constraintTop_toTopOf="@+id/tv_upload_author" />

    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginTop="15dp"
        android:background="@color/color_e8e8e8"
        app:layout_constraintTop_toBottomOf="@+id/tv_upload_author" />
</androidx.constraintlayout.widget.ConstraintLayout>